<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDealsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: deals
         */
        Schema::create('deals', function ($table) {
            $table->increments('id');
            $table->integer('category_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->enum('type', ['deal','education'])->nullable();
            $table->string('title', 255)->nullable();
            $table->text('tagline')->nullable();
            $table->text('images')->nullable();
            $table->integer('details_id')->nullable();
            $table->string('document', 255)->nullable();
            $table->string('features', 255)->nullable();
            $table->float('price')->nullable();
            $table->dateTime('expire_date')->nullable();
            $table->integer('media_id')->nullable();
            $table->string('target_group', 255)->nullable();
            $table->integer('age_group')->nullable();
            $table->string('email', 255)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('website', 100)->nullable();
            $table->text('tags')->nullable();
            $table->integer('viewcount')->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->string('slug', 255)->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('deals');
    }
}
