<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateMediaTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: media
         */
        Schema::create('media', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->text('tagline')->nullable();
            $table->string('media_type', 255)->nullable();
            $table->text('description')->nullable();
            $table->text('images')->nullable();
            $table->text('upload')->nullable();
            $table->text('format')->nullable();
            $table->text('targetgroup')->nullable();
            $table->text('details')->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->string('slug', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('media');
    }
}
