<?php

// API routes  for deal
Route::prefix('{guard}/deal')->group(function () {
    Route::get('deal/form/{element}', 'DealAPIController@form');
    Route::resource('deal', 'DealAPIController');
});

// Public routes for deal
Route::get('deals/', 'DealPublicController@index');
Route::get('deals/{slug?}', 'DealPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for deals
            Route::prefix('{guard}/deal')->group(function () {
                Route::get('deal/form/{element}', 'DealAPIController@form');
                Route::apiResource('deal', 'DealAPIController');
            });
            // Public routes for deals
            Route::get('deal/Deal', 'DealPublicController@getDeal');
        }
    );
}


// API routes  for tag
Route::prefix('{guard}/deal')->group(function () {
    Route::get('tag/form/{element}', 'TagAPIController@form');
    Route::resource('tag', 'TagAPIController');
});

// Public routes for tag
Route::get('deals/', 'TagPublicController@index');
Route::get('deals/{slug?}', 'TagPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for deals
            Route::prefix('{guard}/deal')->group(function () {
                Route::get('tag/form/{element}', 'TagAPIController@form');
                Route::apiResource('tag', 'TagAPIController');
            });
            // Public routes for deals
            Route::get('deal/Tag', 'TagPublicController@getTag');
        }
    );
}


// API routes  for category
Route::prefix('{guard}/deal')->group(function () {
    Route::get('category/form/{element}', 'CategoryAPIController@form');
    Route::resource('category', 'CategoryAPIController');
});

// Public routes for category
Route::get('deals/', 'CategoryPublicController@index');
Route::get('deals/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for deals
            Route::prefix('{guard}/deal')->group(function () {
                Route::get('category/form/{element}', 'CategoryAPIController@form');
                Route::apiResource('category', 'CategoryAPIController');
            });
            // Public routes for deals
            Route::get('deal/Category', 'CategoryPublicController@getCategory');
        }
    );
}


// API routes  for detail
Route::prefix('{guard}/deal')->group(function () {
    Route::get('detail/form/{element}', 'DetailAPIController@form');
    Route::resource('detail', 'DetailAPIController');
});

// Public routes for detail
Route::get('deals/', 'DetailPublicController@index');
Route::get('deals/{slug?}', 'DetailPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for deals
            Route::prefix('{guard}/deal')->group(function () {
                Route::get('detail/form/{element}', 'DetailAPIController@form');
                Route::apiResource('detail', 'DetailAPIController');
            });
            // Public routes for deals
            Route::get('deal/Detail', 'DetailPublicController@getDetail');
        }
    );
}


// API routes  for medium
Route::prefix('{guard}/deal')->group(function () {
    Route::get('medium/form/{element}', 'MediumAPIController@form');
    Route::resource('medium', 'MediumAPIController');
});

// Public routes for medium
Route::get('deals/', 'MediumPublicController@index');
Route::get('deals/{slug?}', 'MediumPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for deals
            Route::prefix('{guard}/deal')->group(function () {
                Route::get('medium/form/{element}', 'MediumAPIController@form');
                Route::apiResource('medium', 'MediumAPIController');
            });
            // Public routes for deals
            Route::get('deal/Medium', 'MediumPublicController@getMedium');
        }
    );
}

