<?php

// web routes  for deal
Route::prefix('{guard}/deal')->group(function () {
    Route::resource('deal', 'DealResourceController');
});

// Public routes for deal
Route::get('deals/', 'DealPublicController@index');
Route::get('deals/{slug?}', 'DealPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DealResourceController');
            });
            // Public routes for pages
            Route::get('deals/', 'DealPublicController@index');
            Route::get('deals/{slug?}', 'DealPublicController@show');
        }
    );
}


// web routes  for tag
Route::prefix('{guard}/deal')->group(function () {
    Route::resource('tag', 'TagResourceController');
});

// Public routes for tag
Route::get('deals/', 'TagPublicController@index');
Route::get('deals/{slug?}', 'TagPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TagResourceController');
            });
            // Public routes for pages
            Route::get('deals/', 'TagPublicController@index');
            Route::get('deals/{slug?}', 'TagPublicController@show');
        }
    );
}


// web routes  for category
Route::prefix('{guard}/deal')->group(function () {
    Route::resource('category', 'CategoryResourceController');
});

// Public routes for category
Route::get('deals/', 'CategoryPublicController@index');
Route::get('deals/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CategoryResourceController');
            });
            // Public routes for pages
            Route::get('deals/', 'CategoryPublicController@index');
            Route::get('deals/{slug?}', 'CategoryPublicController@show');
        }
    );
}


// web routes  for detail
Route::prefix('{guard}/deal')->group(function () {
    Route::resource('detail', 'DetailResourceController');
});

// Public routes for detail
Route::get('deals/', 'DetailPublicController@index');
Route::get('deals/{slug?}', 'DetailPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DetailResourceController');
            });
            // Public routes for pages
            Route::get('deals/', 'DetailPublicController@index');
            Route::get('deals/{slug?}', 'DetailPublicController@show');
        }
    );
}


// web routes  for medium
Route::prefix('{guard}/deal')->group(function () {
    Route::resource('medium', 'MediumResourceController');
});

// Public routes for medium
Route::get('deals/', 'MediumPublicController@index');
Route::get('deals/{slug?}', 'MediumPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'MediumResourceController');
            });
            // Public routes for pages
            Route::get('deals/', 'MediumPublicController@index');
            Route::get('deals/{slug?}', 'MediumPublicController@show');
        }
    );
}

