<?php

namespace Litepie\Deal;

use User;

class Deal
{
    /**
     * $deal object.
     */
    protected $deal;
    /**
     * $tag object.
     */
    protected $tag;
    /**
     * $category object.
     */
    protected $category;
    /**
     * $detail object.
     */
    protected $detail;
    /**
     * $medium object.
     */
    protected $medium;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\Deal\Interfaces\DealRepositoryInterface $deal,
        \Litepie\Deal\Interfaces\TagRepositoryInterface $tag,
        \Litepie\Deal\Interfaces\CategoryRepositoryInterface $category,
        \Litepie\Deal\Interfaces\DetailRepositoryInterface $detail,
        \Litepie\Deal\Interfaces\MediumRepositoryInterface $medium)
    {
        $this->deal = $deal;
        $this->tag = $tag;
        $this->category = $category;
        $this->detail = $detail;
        $this->medium = $medium;
    }

    /**
     * Returns count of deal.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.deal.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->deal->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\DealUserCriteria());
        }

        $deal = $this->deal->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('deal::' . $view, compact('deal'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.tag.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->tag->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\TagUserCriteria());
        }

        $tag = $this->tag->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('deal::' . $view, compact('tag'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->category->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\CategoryUserCriteria());
        }

        $category = $this->category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('deal::' . $view, compact('category'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.detail.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->detail->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\DetailUserCriteria());
        }

        $detail = $this->detail->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('deal::' . $view, compact('detail'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.medium.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->medium->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\MediumUserCriteria());
        }

        $medium = $this->medium->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('deal::' . $view, compact('medium'))->render();
    }
}
