<?php

namespace Litepie\Deal\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litepie\Deal\Interfaces\MediumRepositoryInterface;

class MediumPublicController extends BaseController
{
    // use MediumWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litepie\Medium\Interfaces\MediumRepositoryInterface $medium
     *
     * @return type
     */
    public function __construct(MediumRepositoryInterface $medium)
    {
        $this->repository = $medium;
        parent::__construct();
    }

    /**
     * Show medium's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $media = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('deal::medium.names'))
            ->view('deal::public.medium.index')
            ->data(compact('media'))
            ->output();
    }


    /**
     * Show medium.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $medium = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($medium->name . trans('deal::medium.name'))
            ->view('deal::public.medium.show')
            ->data(compact('medium'))
            ->output();
    }

}
