<?php

namespace Litepie\Deal\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Trans\Traits\Translatable;

class Deal extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, PresentableTrait;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'litepie.deal.deal.model';


    /**
     * The tags that belong to the deal.
     */
    public function tags(){
        return $this->hasMany('Deal\Deal\Models\Tag');
    }


    /**
     * The category that belong to the deal.
     */
    public function category(){
        return $this->belongsTo('Deal\Deal\Models\Category');
    }


    /**
     * The detail that belong to the deal.
     */
    public function detail(){
        return $this->belongsTo('Deal\Deal\Models\Detail');
    }


    /**
     * The media that belong to the deal.
     */
    public function media(){
        return $this->belongsTo('Deal\Deal\Models\Medium');
    }
}
