<?php

namespace Litepie\Deal\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Deal policy
        'Litepie\Deal\Models\Deal' => \Litepie\Deal\Policies\DealPolicy::class,
// Bind Tag policy
        'Litepie\Deal\Models\Tag' => \Litepie\Deal\Policies\TagPolicy::class,
// Bind Category policy
        'Litepie\Deal\Models\Category' => \Litepie\Deal\Policies\CategoryPolicy::class,
// Bind Detail policy
        'Litepie\Deal\Models\Detail' => \Litepie\Deal\Policies\DetailPolicy::class,
// Bind Medium policy
        'Litepie\Deal\Models\Medium' => \Litepie\Deal\Policies\MediumPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
