<?php

namespace Litepie\Deal\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DealTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Deal\Models\Deal $deal)
    {
        return [
            'id'                => $deal->getRouteKey(),
            'key'               => [
                'public'    => $deal->getPublicKey(),
                'route'     => $deal->getRouteKey(),
            ], 
            'category_id'       => $deal->category_id,
            'country_id'        => $deal->country_id,
            'state_id'          => $deal->state_id,
            'city_id'           => $deal->city_id,
            'user_id'           => $deal->user_id,
            'type'              => $deal->type,
            'title'             => $deal->title,
            'tagline'           => $deal->tagline,
            'images'            => $deal->images,
            'details_id'        => $deal->details_id,
            'document'          => $deal->document,
            'features'          => $deal->features,
            'price'             => $deal->price,
            'expire_date'       => $deal->expire_date,
            'media_id'          => $deal->media_id,
            'target_group'      => $deal->target_group,
            'age_group'         => $deal->age_group,
            'email'             => $deal->email,
            'phone'             => $deal->phone,
            'website'           => $deal->website,
            'tags'              => $deal->tags,
            'viewcount'         => $deal->viewcount,
            'slug'              => $deal->slug,
            'user_type'         => $deal->user_type,
            'deleted_at'        => $deal->deleted_at,
            'url'               => [
                'public'    => trans_url('deal/'.$deal->getPublicKey()),
                'user'      => guard_url('deal/deal/'.$deal->getRouteKey()),
            ], 
            'status'            => trans('app.'.$deal->status),
            'created_at'        => format_date($deal->created_at),
            'updated_at'        => format_date($deal->updated_at),
        ];
    }
}