<?php

namespace Litepie\Deal\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DetailTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Deal\Models\Detail $detail)
    {
        return [
            'id'                => $detail->getRouteKey(),
            'key'               => [
                'public'    => $detail->getPublicKey(),
                'route'     => $detail->getRouteKey(),
            ], 
            'deals_id'          => $detail->deals_id,
            'title'             => $detail->title,
            'description'       => $detail->description,
            'images'            => $detail->images,
            'upload'            => $detail->upload,
            'slug'              => $detail->slug,
            'deleted_at'        => $detail->deleted_at,
            'url'               => [
                'public'    => trans_url('deal/'.$detail->getPublicKey()),
                'user'      => guard_url('deal/detail/'.$detail->getRouteKey()),
            ], 
            'status'            => trans('app.'.$detail->status),
            'created_at'        => format_date($detail->created_at),
            'updated_at'        => format_date($detail->updated_at),
        ];
    }
}