<?php

namespace Litepie\Deal\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MediumTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Deal\Models\Medium $medium)
    {
        return [
            'id'                => $medium->getRouteKey(),
            'key'               => [
                'public'    => $medium->getPublicKey(),
                'route'     => $medium->getRouteKey(),
            ], 
            'user_id'           => $medium->user_id,
            'name'              => $medium->name,
            'tagline'           => $medium->tagline,
            'media_type'        => $medium->media_type,
            'description'       => $medium->description,
            'images'            => $medium->images,
            'upload'            => $medium->upload,
            'format'            => $medium->format,
            'targetgroup'       => $medium->targetgroup,
            'details'           => $medium->details,
            'slug'              => $medium->slug,
            'deleted_at'        => $medium->deleted_at,
            'url'               => [
                'public'    => trans_url('deal/'.$medium->getPublicKey()),
                'user'      => guard_url('deal/medium/'.$medium->getRouteKey()),
            ], 
            'status'            => trans('app.'.$medium->status),
            'created_at'        => format_date($medium->created_at),
            'updated_at'        => format_date($medium->updated_at),
        ];
    }
}